org.apache.hc.client5.http.auth

## Enum AuthSchemes

- java.lang.Object
- - java.lang.Enum<AuthSchemes>
  - - org.apache.hc.client5.http.auth.AuthSchemes

All Implemented Interfaces:
  Serializable, Comparable<AuthSchemes>

    public enum AuthSchemes
    extends Enum<AuthSchemes>

Supported authentication schemes.

Since:
  4.3

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BASIC` Basic authentication scheme as defined in RFC 2617 (considered inherently insecure, but most widely supported).
`CREDSSP` CredSSP authentication scheme defined in [MS-CSSP].
`DIGEST` Digest authentication scheme as defined in RFC 2617.
`KERBEROS` Kerberos authentication scheme as defined in RFC 4120 (considered to be the most secure among currently supported authentication schemes).
`NTLM` The NTLM authentication scheme is a proprietary Microsoft Windows authentication protocol as defined in [MS-NLMP].
`SPNEGO` SPNEGO authentication scheme as defined in RFC 4559 and RFC 4178 (considered to be the most secure among currently supported authentication schemes if Kerberos is selected).

### Field Summary

Fields
`String` `ident`

### Method Summary

Methods
`static AuthSchemes` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuthSchemes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BASIC

    public static final AuthSchemes BASIC

Basic authentication scheme as defined in RFC 2617 (considered inherently insecure, but most widely supported).

#### DIGEST

    public static final AuthSchemes DIGEST

Digest authentication scheme as defined in RFC 2617.

#### NTLM

    public static final AuthSchemes NTLM

The NTLM authentication scheme is a proprietary Microsoft Windows authentication protocol as defined in [MS-NLMP].

#### SPNEGO

    public static final AuthSchemes SPNEGO

SPNEGO authentication scheme as defined in RFC 4559 and RFC 4178 (considered to be the most secure among currently supported authentication schemes if Kerberos is selected).

#### KERBEROS

    public static final AuthSchemes KERBEROS

Kerberos authentication scheme as defined in RFC 4120 (considered to be the most secure among currently supported authentication schemes).

#### CREDSSP

    public static final AuthSchemes CREDSSP

CredSSP authentication scheme defined in [MS-CSSP].

### Field Detail

#### ident

    public final String ident

### Method Detail

#### values

    public static AuthSchemes[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AuthSchemes c : AuthSchemes.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AuthSchemes valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null